# inspired from fedora spec file
# Copyright (c) 2014-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     Autoload
%define composer_name   autoload
%define composer_vendor theseer
%define pear_name       Autoload
%define pear_channel    pear.netpirates.net

%define php_libdir     %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        1.23.0
Release:        %mkrel 2
Summary:        A tool and library to generate autoload code
Group:          Development/PHP
License:        BSD
URL:            https://github.com/theseer/Autoload
Source0:        https://github.com/theseer/Autoload/archive/%{github_name}-%{version}.tar.gz
Patch0:         %{github_name}-rpm.patch
BuildArch:      noarch

# From composer.json, "require": {
#        "theseer/directoryscanner": "~1.3",
#        "zetacomponents/console-tools": "~1.7"
Requires:       php >= 5.3.1
Requires:       php-composer(theseer/directoryscanner) >= 1.3
Requires:       php-composer(zetacomponents/console-tools) >= 1.7
# From phpcompatinfo report for version 1.21
Requires:       php-cli
Requires:       php-json
Requires:       php-openssl
Requires:       php-phar
Requires:       php-tokenizer

Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}
Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}

%description
The PHP AutoloadBuilder CLI tool phpab is a command line application
to automate the process of generating an autoload require file with
the option of creating static require lists as well as phar archives.

%prep
%setup -qn %{github_name}-%{version}

%patch0 -p0 -b .rpm

: drop composer dependencies
sed -e '\:../vendor/:d'    -i src/autoload.php

: add package dependencies
cat <<EOF | tee            -a src/autoload.php
// Dependencies
require '/usr/share/php/TheSeer/DirectoryScanner/autoload.php';
require '/usr/share/php/ezc/Base/base.php';
spl_autoload_register(array('\\ezcBase','autoload'));
EOF

# set version
sed -e 's/@VERSION@/%{version}/' -i phpab.php

%build

%install
mkdir -p   %{buildroot}%{php_libdir}/TheSeer
cp -pr src %{buildroot}%{php_libdir}/TheSeer/%{github_name}

install -Dpm 0755 phpab.php %{buildroot}%{_bindir}/phpab


%pre
if [ -x %{_bindir}/pear ]; then
  %{_bindir}/pear uninstall --nodeps --ignore-errors --register-only \
      %{pear_channel}/%{pear_name} >/dev/null || :
fi

%files
%doc README.md composer.json LICENSE
%{php_libdir}/TheSeer/%{github_name}
%{_bindir}/phpab


%changelog
* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.23.0-2.mga6
+ Revision: 1096731
- don't use old php automatic dependency generator

* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.23.0-1.mga6
+ Revision: 1096680
- imported package php-theseer-autoload

